﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Base64
{
    /// <summary>
    /// encryption/decryption class
    /// </summary>
    public class Bas64
    {
        /// <summary>
        /// encrypts data using base64 algorithm
        /// </summary>
        /// <param name="Data">data string</param>
        /// <returns>encrypted data</returns>
        public static string Encrypt(string Data)
        {
            return Convert.ToBase64String(ASCIIEncoding.ASCII.GetBytes(Data));
        }
        /// <summary>
        /// decrypts base64 data
        /// </summary>
        /// <param name="Data">encrypted data string</param>
        /// <returns>decrypted data string</returns>
        public static string Decrypt(string Data)
        {
            return ASCIIEncoding.ASCII.GetString(Convert.FromBase64String(Data));
        }
    }
}
